%define name camediaplay
%define version 980118
%define release 3mdk

Summary: Camediaplay download/control tool for digital cameras
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Patch: camediaplay.patch.bz2
Copyright: Distributable
Group: Video
Buildroot: %_tmppath/%{name}-buildroot

%description
camediaplay is a downloading/controlling tool for digital cameras with
Sanyo firmware.  Camera with Sanyo firmware includes all Olympus prod ucts,
Epson products, Agfa products, and of course, Sanyo digital cameras.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n camediaplay
%patch -p1

%build
cd build
./configure --prefix=$RPM_BUILD_ROOT/usr
make OPTFLAG="$RPM_OPT_FLAGS"

%install
cd build
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 camediaplay $RPM_BUILD_ROOT/usr/bin/

%files
%defattr (-,root,root)
%doc README.english README.japanese PROTOCOL
%_bindir/*

%changelog
* Fri Jan 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 980118-3mdk
- rebuild

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 980118-2mdk
- fix group
- bzip2 patch
- fix permissions on sources

* Thu Feb 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 980118-1mdk
- mandrake build

